Notes on the documentation

This description is only intended for the use of trained specialists in control and automation engineering who are familiar with the applicable national standards.
It is essential that the following notes and explanations are followed when installing and commissioning these components.

The responsible staff must ensure that the application or use of the products described satisfy all the requirements for safety, including all the relevant laws, regulations, guidelines and standards.

Disclaimer

The documentation has been prepared with care. The products described are, however, constantly under development.
For that reason the documentation is not in every case checked for consistency with performance data, standards or other characteristics.
In the event that it contains technical or editorial errors, we retain the right to make alterations at any time and without warning.
No claims for the modification of products that have already been supplied may be made on the basis of the data, diagrams and descriptions in this documentation.

Trademarks

Beckhoff®, TwinCAT®, EtherCAT®, Safety over EtherCAT®, TwinSAFE®, XFC®and XTS® are registered trademarks of and licensed by Beckhoff Automation GmbH.
Other designations used in this publication may be trademarks whose use by third parties for their own purposes could violate the rights of the owners.

Patent Pending

The EtherCAT Technology is covered, including but not limited to the following patent applications and patents:
EP1590927, EP1789857, DE102004044764, DE102007017835
with corresponding applications or registrations in various other countries.

The TwinCAT Technology is covered, including but not limited to the following patent applications and patents:
EP0851348, US6167425 with corresponding applications or registrations in various other countries.

Copyright

© Beckhoff Automation GmbH, Germany.
The reproduction, distribution and utilization of this document as well as the communication of its contents to others without express authorization are prohibited.
Offenders will be held liable for the payment of damages. All rights reserved in the event of the grant of a patent, utility model or design.


OPC General

OPC Definition

OPC stands for "Openess Productivity and Collaboration" and describes an initiative for standardisation of data exchange in automation.

Beckhoff is a active member of the OPC Foundation. (More information about OPC may be obtained under www.opcfoundation.org )

OPC Interface

Formerly, applications such as operating and monitoring software were forced to use the differing access procedures of each controller manufacturer.
OPC is the specification of a universal software interface that is totally independent of the manufacturer. This opens up the possibility of gaining access in a unified manner to process data from any manufacturer.

OPC Server

An OPC server is a software component that offers a specified OPC interface to other applications.


OPC XML DA CE Server : Overview

TS6120-0030 | TwinCAT OPC Server CE

Overview

Prerequisites

TwinCAT OPC-DA-CE requires a BECKHOFF CE device (like CX1000, CX1020, CX9001...) with large memory.

TwinCAT OPC DA CE does not support DCOM.


Overview

An OPC server represents a standardised interface for the management of process data. The process data available in the TwinCAT system must therefore be known to the OPC server, or must be made known to it at the time of configuration.
To represent this "hierarchical process space" clearly, the "Devices" are subdivided into subsidiary items.

The OPC client can browse through this representation and use it for the server's actual configuration. The TwinCAT OPC server supports the optional browser OPC interface.

Note:
This hierarchical display is not to be confused with the configuration of the OPC server that exists at run-time. The run-time configuration of the OPC server, i.e. the creation of groups, specification of the refresh time, the insertion of tags etc. is performed dynamically by the OPC client.

General

The advantage of configuration via XML with links to the symbols of the ADS devices is that this configuration only has to be carried out once. Even if, for instance, the PLC project changes (e.g. if variables are deleted, or if new variables are defined) it is not necessary to change the configuration in the OPC server: each time the OPC service starts, the namespace of the OPC server is correctly built up.

Device Definition

A device represents a TwinCAT ADS device (e.g. a PLC run-time system) that is uniquely identified by the <AdsAmsServerNetID> and the <AdsAmsPortID>.
Further information about the concept of devices in TwinCAT can be found in the general TwinCAT ADS documentation.

Configuration of the TwinCAT OPC server

  • Receiving data from the TwinCAT PLC: Configuration by variable import from TwinCAT PLC control


TwinCAT OPC Server CE for MP370 : Installation and configuration

TS6120-0030 | TwinCAT OPC Server CE

TwinCAT OPC Server CE for MP370

This document describes the option of a data link between a Siemens ProTool / WinCC Flexible on an MP370 Panel via Ethernet with a BECKHOFF TwinCAT device.

The TwinCAT OPC Server CE (for MIPS) is installed on the Siemens MP370 Panel via the ProSave software from Siemens. ProTool / WinCC Flexible operates as an OPC client and locally communicates on the MP370 with the TwinCAT OPC Server CE. The OPC server collects the TwinCAT variables via Ethernet and the ADS protocol from Beckhoff from the TwinCAT devices.

Installation and configuration

Ensure that the MP370 and the projecting computer are properly connected with each other. For testing the network connection the program "ping.exe" can be executed via the prompt. Further information about ping.exe can be displayed via the command "ping /?". .

1. Installation of the TwinCAT OPC server for MP370 on the projecting computer with integration in the Siemens ProSave environment

A prerequisite is proper installation of Simatic ProTool 6.0 SP2 on the projecting computer.

The TwinCAT OPC server MP370 is installed in < installation directory \ MP370 (MIPS) \ TwinCAT_OPC_CE_MP370.exe >.
Follow the installation instructions for installing the TwinCAT OPC Server CE in the ProSave environment on the PC.

2. Transfer of the TwinCAT OPC server for MP370 with Siemens ProSave to the MP370 device

Start ProSave via "Start - Simatic - ProSave" and configure your connection to Simatec MP370 according to your communication criteria.
In this example communication is via a serial connection:

To transfer the TwinCAT OPC Server CE to the Siemens MP370 please select the "Options" tab in ProSave. In the available options window you will find the entry "TwinCAT OPC Server CE for MP370". To enable data transfer between the projecting computer and Siemens MP370 first start the transfer mode on the Siemens MP370 via the Transfer button in the loader.
The installation can then be started by clicking on the "»" button in ProSave. The TwinCAT OPC Server CE is then installed on the MP370 in the directory \hard disk\simatic.

If no data exchange is established check your connection to the Siemens MP370.
Further assistance can be obtained from Siemens support.

3. Configuration of the OPC server

In the previous step you successfully installed the Beckhoff OPC Server CE on the Siemens MP370. Two further steps are required. These are to be executed once:

  • For communication between the TwinCAT OPC server on the MP370 and a TwinCAT device (e.g. a CX1000) these communication partners now have to be introduced to each other.
    This is done on the MP370 via the program TwinCAT AMS Remote Manager.
  • The TwinCAT OPC Server CE must be configured to know which data (from which PLC ..) are available for OPC.

TwinCAT AMS Remote Manager

An MIPS-compatible version of the program "TcAmsRemoteMgr.exe" the Simatic MP370 can be found in the OPC installation directory "\flash\simatic". On the TwinCAT device this dialog can be found either in the TwinCAT system service or, on the CX1000, for example, an associated x86 version in the directory "\Hard disk\System" .

Figure 3

Start the TwinCAT AMS Remote Manager both on the CX1000 and on the MP370 (see Fig. 3). New remote computers can be configured on the CX1000/MP370 by clicking on the Add button. Enter the associated data in the following window:

Name
 Symbolic name of the "Remote Computer". This name can be chosen freely.

AMS Net Id
 AMS Net ID of the "Remote Computer". The AMS Net ID can be found under "Local Computer" in the TwinCAT Remote Manager.

Address
 IP address of the "Remote Computer".

Transport
 Transport layer used for carrying AMS messages. The default setting for the transport layer is TCP/IP. Further variants may be supported depending on the hardware used.

In this example the following configuration is available:

TcAMs Remote Manager on the PC/CX:

  • PC/CX with AMSNetId : 192.6.100.142.1.1
  • The MP370 device with the AMSNetId 192.168.0.163.1.1 is entered on the PC/CX under "Remote Computer"

TcAMs Remote Manager on the MP370:

  • MP370 with AMSNetId : 192.168.0.163.1.1
  • The PC/CX with the AMSNetId 192.6.100.142.1.1 is entered on the MP370 under "Remote Computer"

TwinCAT OPC server: Namespace configuration

The so-called OPC namespace now has to be configured on the TwinCAT OPC Server CE. The configuration determines which variables are accessible for the OPC server on which ADS device and are therefore available for ProTool via OPC. The TwinCAT OPC Server CE is configured via the file "CurrentConfigOPC.xml". In addition, a <PLC project name>.tpy file must be available for each ADS device (e.g. each PLC).

In this example is an export file from a TwinCAT PLC project is copied to the MP370. To this end the entry "TwinCAT OPC Configuration Update for MP370" can be found in your Simatic ProSave. To copy your configuration to the MP370 the following steps are required:

1st step

  • Create a TwinCAT PLC project with the variables you want to use in ProTool. A <project name>.tpy file is generated during compilation.
    Copy the <PLC project name>.tpy file into the directory Simatic ProTool installation path\Common\PTProSave\Addon\TcOPCSvr_Config\mips.

    WARNING:
    The ProSave project file assumes that a "Plc1.tpy" file is available. If your PLC project has a different name,
    either rename the TPY file for transport to the MP370 (from <project name.tpy> to "Plc1.tpy")
    or adapt OPCconfig.pii by changing the entry (from "Plc1.tpy" to <project name.tpy>)

2nd step

  • In same directory an XML document CurrentConfigOPC.xml can be found. Open this file with a text editor (e.g. Notepad.exe) and adjust the file according to your configuration as follows:
XML Tag | Description
<Name> | Symbolic name of the OPC connection
<AdsNetId> | AMS Net ID of the device from which the data are received (e.g. from CX1000)
<AdsPort> | ADS port of the device from which the data are received (e.g. from CX1000-PLC : 801)
<AutoCfg> | 7 : Import of all global variables from the TPY file 8 : Import of the identified variables from the TPY file. This version is highly recommended, since not all PLC variables are loaded, but only the variables required for OPC (thus saving memory)
<AutoCfgSymFile> | Path to the tpy file on the MP370 (default: OPC installation directory)

  • Save the changes in file CurrentConfigOPC.xml and copy the new configuration to the MP370 via Simatic ProSave.

Configuration example:

Configuration is complete, the TwinCAT OPC Server is configured on the MP370 and can exchange data with the configured ADS device.

4. OPC activation for ProTool

Copy the files and folders contained in directory ... \Beckhoff OPC CX1000 -- MP370\Installation Siemens\patch_regdat to the ProTool directory and start the file "_patch_ptreg_dat.bat". Confirm all four dialog boxes with OK.

Complete the file Protool.ini in the ProTool directory as follows:

[Device List ] / at the start of the file
ReInit=1

[OPC] / at the end of the file
ServerOnMP=0
DCOM/DeviceCOM=1
[Protocol Exclude List]
[Recent File List]

The [Protocol Exclude List] must be empty.
The [Recent File List] may contain entries.

Configuration is complete, the TwinCAT OPC Server is configured on the MP370 and can exchange data with the configured ADS device.

5. Updating the TwinCAT OPC Server CE for MP370

To install an update for the TwinCAT OPC Server CE for MP370 on the panel, copy the new "TcOpcSvrInprocServer.dll" file into the following folder: ...SIEMENS\Common\PTProSave\AddOn\TcOPCSrvCE\mips

Please repeat step 2 for transferring the changes to the panel.


TwinCAT OPC Server CE : Optimisation

TS6120-0030 | TwinCAT OPC Server CE

TwinCAT OPC Server CE : Optimization

This article describes how to minimize the OPC-namespace of TwinCAT-OPC-Server CE.

Take care to NOT load all PLC variables into OPC-Server namespace but instead load that smaller list of PLC variables which are required via OPC in the OPC-client.

Note :
CE is designed for small systems with limited resources like CPU and memory. Due to this the optimization of namespace is highly recommended for OPC-Servers running on CE.

NOTE

In general the opc-server is configured by the OPC-XML configuration file to find the detailed symbol information for each ADS device.

  • The option <AutoCfg>7</AutoCfg> is designed to import all variables defined in TPY files
    OPC DA : Limitation today : Only global variables (Strings / ints / Bools..) are imported. Today no structures are imported.
    OPC XMLDA : No limitation
  • The option <AutoCfg>8</AutoCfg> is designed to import just a subset of PLC variables marked in the PLC-code to be available for OPC..
    OPC DA : Limitation today : Only global variables (Strings / ints / Bools..) are imported. Today no structures are imported.
    OPC XML : No limitation

    In this sample the PLC variable "bMemAlarm"1 will not be available via OPC-Server.
    The variable "iReadOnly" is marked to be an OPC-variable and is available for OPC-clients. Additional the OPC-Item Property 5 (defined by OPC-Foundation) is set to "1" which means, the opc-server will handle this variable as "Read-Only" . OPC-Server will take care, that OPC-clients can not write to that PLC-variable.

    Extra comments in PLC-IEC1131 Editor will modify the configuration of opc-server:


OPC XML DA CE Server : Overview

TS6120-0030 | TwinCAT OPC Server CE

Overview

Prerequisites

TwinCAT OPC-XML-DA-CE requires a BECKHOFF CE device (like CX1000, CX1020, CX9000, ...) with large memory.
The Microsoft IIS (Internet Information Server) web server is required on that CE devices.


OPC XML DA CE Server : Installation

TS6120-0030 | TwinCAT OPC Server CE

Installation

This document describes how to install the TwinCAT OPC XML DA Server on BECKHOFF embedded PC Controller based on CE operating system like CX1000, CX1020, CX9000 or EthernetPanels.

Prerequisites

TwinCAT OPC-XML-DA-CE requires a BECKHOFF CE device like CX1000, CX1020, etc with large memory. The Microsoft IIS (Internet Information Server) web server is required.

Step1 : Installation on host PC

Install TwinCAT supplement product "TwinCATOPCServerCE.exe" on your host PC.

License : During installation a license number will be checked. Note that OPC-CE products cost royalties per CPU.

With a correct license number the product will be installed into folder C:\TwinCAT\CE\OPC

This folder will contain a number of different CE-installation files :

  • TcOpcXmlSvrCe.I586.CAB : OPC Server XML DA (XML based) for X86 based CPUs (like CX1000)
  • TcOpcSvrCe_I586.cab : OPC Server DA (COM based) for X86 based CPUs (like CX1000)
  • TcOpcSvrCe_StrongARM.cab : OPC Server DA (COM based) for ARM based CPUs with OS PocketPC (like IPAQ)
  • TcOpcSvrCe_MIPS.cab : OPC Server DA (COM based) for MIPS based CPUs (like Siemens Panels)
  • MIPS_MP370\TwinCAT_OPC_CE_MP370.exe : Seperat installation for installation on Siemens panels with ProSave

Step 2 : Deploy installation to CE device

Deploy the file TcOpcXmlSvrCe.I586.CAB onto the CF card of the Beckhoff-CE device, this can be done

  • via shared folder (Public folder)
  • via FTP
  • via ActiveSync
  • via a CF adapter

Step 3 : Installation on CE device

The installation file "TcOpcXmlSvrCe.I586.CAB" is to be executed via regular double-click on it.

NOTE:

  • As target directory, the pre-selected (default) directory "\hard disk\www\TcOpcXmlDa" has to be confirmed with "OK"!
  • After installation of the component into the correct target folder "\hard disk\www\TcOpcXmlDa" the installation file TcOpcXmlSvrCe.I586.CAB gets removed automatically.

After confirmation with "OK", the installation into the correct target folder "\hard disk\www\TcOpcXmlDa" gets executed.

  • There is no need for a restart of the CE device.

Step 4 : Test

The URL of the OPC-XML-DA server on the CE system can be checked from host PC. Open the Internet explorer and enter the URL of the OPC Server XML DA on CE system like :
http://<ip-adress or name of CE device>/tcopcxmlda/tcopcxmlda.dll

Sample :
http://cx_0027e8/tcopcxmlda/tcopcxmlda.dll

The TcOpcXmlDa server will reply with a status page containing the product version :

HINT :
In case of problems (like receiving no HTML status data) please check if a proxy server is activated on your host PC.
After deactivating the proxy and reloading the URL the Opc XML DA server should reply with status info.


OPC XML DA CE Server : Configuration

TS6120-0030 | TwinCAT OPC Server CE

Configuration

This chapter describes how to configure the OPC XML DA Server on BECKHOFF CE based systems.

Summary :

The OPC-XML DA server is configured with default xml-configuration file. Just activate once a checkbox in PLC-Control to download the symbol information to target device.

TwinCAT Version :

  • With TwinCAT 2.10 Build 1240 (or higher) there is no manual configuration required, just acticate one check box.
  • With previous TwinCAT versions please refer to section "Manual or specific configurations" on this page.

Activate one check box

To download the current symbol information in a TPY file navigate in the PLC-Control to "Project-->Options-->TwinCAT" and check the option "Download Symbol description"

With each download of the PLC-code now also the <project-name>.TPY file is downloaded as "\hard disk\TwinCAT\Boot\CurrentPlc_1.tpy" containing information about symbols of first run time system.
(Second runtime system would be "\hard disk\TwinCAT\Boot\CurrentPlc_2.tpy" etc.)

Summary:

The OPC-XML DA server is configured with default xml-configuration file. Just activate the checkbox to download the symbol information within PLC-Control environment.

NOTE:
OPC-XML DA Server checks configuraton on startup. See notes to reload configuration today (without reboot)

Previous TwinCAT 2.10 Build 1240 / Manual or specific configurations ?

If the default configuration is not available you have to configure the opc-xml-da configuration file "\hard disk\www\TcOpcXmlDa\TcOpcXmlSvrCfg.xml" manual.

  • The <plc-project-name>.tpy file has to be deployed to the CE device. Deplayment can be done via Shared (public) folder / FTP server / ActiveSync connection / CF adapter
  • If required the opc-xml configuration file can be edited with help of "\hard disk\system\Notepadce.exe"

Sample for OPC XML DA CE server accessing multiple ADS devices

<?xml version="1.0"
encoding="utf-8" standalone="no"?>
<TcOpcXmlSvrConfiguration>
<Namespace>
    <Devices>
        <Device>
            <Name>PLC1</Name>
            <AdsNetId>0.0.0.0.0.0</AdsNetId>
            <AdsPort>801</AdsPort>
            <AdsTimeout>2000</AdsTimeout>

<AdsTimeSuspend>20000</AdsTimeSuspend>
            <AutoCfg>7</AutoCfg>
            <!-- NOTE: CurrentPlc_1.tpy will be downloaded from
PLC-Control -->
            <AutoCfgSymFile>\hard
disk\TwinCAT\Boot\CurrentPlc_1.tpy</AutoCfgSymFile>
            <Disabled>0</Disabled>
        </Device>
        <Device>
            <Name>PLC2</Name>
            <AdsNetId>0.0.0.0.0.0</AdsNetId>
            <AdsPort>811</AdsPort>
            <AdsTimeout>2000</AdsTimeout>

<AdsTimeSuspend>20000</AdsTimeSuspend>
            <AutoCfg>7</AutoCfg>
            <!-- NOTE: CurrentPlc_2.tpy will be downloaded from
PLC-Control -->
            <AutoCfgSymFile>\hard
disk\TwinCAT\Boot\CurrentPlc_2.tpy</AutoCfgSymFile>
            <Disabled>0</Disabled>
        </Device>
    </Devices>
</Namespace>
</TcOpcXmlSvrConfiguration>

NOTE:
OPC-XML DA Server checks configuraton on startup. See notes to reload configuration today (without reboot)


OPC XML DA Server : Nice to know

TS6120-0030 | TwinCAT OPC Server CE

Nice to know

This chapter describes nice helpful hints for OPC-XMLDA server (XP and CE)

OPC specification descripes the interfaces which an OPC-XMLDA server have to (MUST) implement.

As an addOn the TwinCAT OPC-XMLDA server provides additional "nice to have" functionalities..

These additional functions are initiated via the URL of the OPC-XML-DA server.
Open the Internet explorer and enter the URL of the OPC Server XML DA on target system like :

http://<ip-adress or name of device>/TcOpcXmlDa/TcOpcXmlDa.dll<Services>

<Services> could be like this :

  • Status information
  • Log information
  • Reload configuration
  • Display configuration
  • Restart server
  • Stop server

1. Status information

<Services> = "" (nothing)

SAMPLE : http://<ip-adress or name of device>/TcOpcXmlDa/TcOpcXmlDa.dll

The TcOpcXmlDa server will reply with a status page containing the product version :

2. Log information

<Services> = ?info=log

Sample : http://<ip-adress or name of device>/TcOpcXmlDa/TcOpcXmlDa.dll?info=log

3. Reload configuration file

<Services> = ?info=reload

Sample : http://<ip-adress or name of device>/TcOpcXmlDa/TcOpcXmlDa.dll?info=reload

4. Display configuration

<Services> = ?info=config

Sample : http://<ip-adress or name of device>/TcOpcXmlDa/TcOpcXmlDa.dll?info=config

NOTE : not implemented now, under construction

1. Restart of OPC-XMLDA server

<Services> = ?action=restart

Sample : http://<ip-adress or name of device>/TcOpcXmlDa/TcOpcXmlDa.dll?action=restart

2. Stop of OPC-XMLDA server

<Services> = ?action=stop

Sample : http://<ip-adress or name of device>/TcOpcXmlDa/TcOpcXmlDa.dll?action=stop

NOTE : not implemented now, under construction


OPC client : AJAX (Asynchronous Java XML)

Download complete Sample


OPC DA CE Server : Configuration

TwinCAT OPC-DA CE server: Configuration

Configuration

This chapter describes how to configure the TwinCAT OPC DA Server CE on BECKHOFF CE based systems.

Summary :

The OPC-DA server CE is configured with default xml-configuration file. Just activate once a checkbox in PLC-Control to download the symbol information to target device.

With TwinCAT 2.10 Build 1240 (or higher) there is no manual configuration required. Please refer to section "Zero configuration" on this page.

With previous TwinCAT versions please refer to section "Manual or specific configurations" on this page.

Zero configuration (requires TwinCAT 2.10 on host PC)

Details :

  • The OPC-DA-CE configuration file "\hard disk\TwinCAT\OPC\CurrentConfigOPC.xml" contains the list of ADS-devices which are available via OPC-DA-CE interface.
  • By default this list is pre-configured for one local PLC-runtime system (first PLC runtime-system on ADS-port 801)
  • By default the required symbol-information is linked to \hard disk\TwinCAT\Boot\CurrentPlc_1.tpy

<?xml version="1.0" encoding="utf-8" standalone="no"?>
<TcOpcXmlSvrConfiguration>
<Namespace>
<Devices>

<Device>
<Name>PLC1</Name>
<AdsNetId>0.0.0.0.0.0</AdsNetId>
<AdsPort>801</AdsPort>
<AdsTimeout>2000</AdsTimeout>
<AdsTimeSuspend>20000</AdsTimeSuspend>
<AutoCfg>7</AutoCfg>
<!-- NOTE: CurrentPlc_1.tpy will be downloaded from PLC-Control -->
<AutoCfgSymFile>\hard disk\TwinCAT\Boot\CurrentPlc_1.tpy</AutoCfgSymFile>
<Disabled>0</Disabled>
</Device>

</Devices>
</Namespace>
</TcOpcXmlSvrConfiguration>

With TwinCAT Version 2.10 Build 1240 the PLC Control allows to download the symbol file <plc-project-name>.TYP to the target TwinCAT machine. The TPY file contains information about all available PLC-variables in the PLC-project.
OPC-DA-CE Server requires this TPY-information.

To download the current symbol information in a TPY file navigate in the PLC-Control to "Project-->Options-->TwinCAT" and check the option "Download Symbol description"

With each download of the PLC-code now also the <project-name>.TPY file is downloaded as "C:\TwinCAT\Boot\CurrentPlc_1.tpy" containing information about symbols of first run time system.
(Second runtime system would be "C:\TwinCAT\Boot\CurrentPlc_2.tpy" etc.)

Summary:

The OPC-DA-CE server is configured with default xml-configuration file. Just activate the checkbox to download the symbol information within PLC-Control environment.
OPC-DA-CE Server checks configuraton on startup of OPC-Server. If new tpy varaibles are downloaded into PLC and these variables should be available via OPC-Server the OPC-server needs a restart. (Normally this is done by just starting up OPC-client again)

Optional manual or specific configurations ?

If the default configuration is not available you have to configure the opc-da-CE configuration file "\hard disk\TwinCAT\OPC\CurrentConfigOPC.xml" manual.

Sample for OPC-DA-CE server accessing multiple ADS devices

<?xml version="1.0" encoding="utf-8" standalone="no"?>
<TcOpcXmlSvrConfiguration>
<Namespace>
<Devices>

<Device>
<Name>PLC1</Name>
<AdsNetId>0.0.0.0.0.0</AdsNetId>
<AdsPort>801</AdsPort>
<AdsTimeout>2000</AdsTimeout>
<AdsTimeSuspend>20000</AdsTimeSuspend>
<AutoCfg>7</AutoCfg>
<!-- NOTE: CurrentPlc_1.tpy will be downloaded from PLC-Control -->
<AutoCfgSymFile>\hard disk\TwinCAT\Boot\CurrentPlc_1.tpy</AutoCfgSymFile>
<Disabled>0</Disabled>
</Device>

<Device>
<Name>PLC2</Name>
<AdsNetId>0.0.0.0.0.0</AdsNetId>
<AdsPort>811</AdsPort>
<AdsTimeout>2000</AdsTimeout>
<AdsTimeSuspend>20000</AdsTimeSuspend>
<AutoCfg>7</AutoCfg>
<!-- NOTE: CurrentPlc_2.tpy will be downloaded from PLC-Control -->
<AutoCfgSymFile>\hard disk\TwinCAT\Boot\CurrentPlc_2.tpy</AutoCfgSymFile>
<Disabled>0</Disabled>
</Device>

</Devices>
</Namespace>
</TcOpcXmlSvrConfiguration>


Receiving data from the TwinCAT PLC

TwinCAT OPC server: Configuration

Receiving Data from the TwinCAT I/O task

1st Step TwinCAT I/O task configuration

In the TwinCAT System Manager navigate through "System configuration ->Additional tasks -> Task x". Once there, activate "Create symbol entry".

.

2nd Step Import into the TwinCAT OPC server

Start TwinCAT-OPC-Configurator "Start - All Programs - TwinCAT System - TwinCAT OPC - TwinCAT OPC Configurator"

In the left navigationtree please select "I/O Devices" with a right click the menu item "New".

Enter a name for that ADS device in field "Name".

The name has to be OPC conform. Special characters are not allowed.

The device-name will be part of the ItemID later.
Sample: TwinCAT-PLC was defined with a variable "Temp". Choosing the devicename as "IO1" the opc-server present the variable as "IO1.Temp".

With click on "OK" we get the new dialog for further settings of device :

Following settings have to be checked :

Type | Req./Opt. | Description
Name | Req | Name for device like "IO1". OPC-Client browse this name
Description | Optional |
AutoCfg | Optional | 5 : Upload symbolic from ADS-device
AutoCfgFile | Optional | will be ignored
AdsPort | Req | Number of ADS-PortID, like 301 for first IO task 302 for next IO task ...
AdsNetId | Optional | specific ADS-NetId, like "174.12.15.45.1.1" Note: If not specified or like "0.0.0.0.0.0", the OPC-Server will always communicate to AdsNetId of local ADS-router
AdsTimeout | Optional | ADS timeout in ms for this ADS device. If ADS device will not replay within this time, the OPC-Server will set the requested variables to "BAD QUALITY"
AdsTimeSuspend | Optional | ADS suspend time in ms for this ADS device, if the ads communication fails. If an ADS device is running, it does not make sense to communicate with high frequence to that device. In case of ads-communication trouble the OPC-Server will wait till next ads-request to that device.
Disable | Optional | Disables this device. OPC-Server will ignore this device.

See detailed description in apendix.

3 rd step : Check and save configuration

Save the configuration unter current name or select menu "File - Save As..." to insert a new name.
The OPC-Configurator will save the XML based file.

After saving the OPC-configurationfile we get the option to activate this configuration to be the configuration for next startup of OPC-Server.

After selecting "Yes" this current configuration will be the start-configuration of the opc-server. With next start of OPC-Server this new configuration will be active.

NOTE:
If you activated a new OPC-configuration, but the OPC-Server still has old namespace and settings the reason is that the OPC-Server was not stopped and restarted.


Overview

  • OPC Specification 1.0a and 2.0
  • Free choice of TwinCAT devices (ADS devices): PLC / IO / NC / CAM / ...
  • Access via TwinCAT PLC / TwinCAT I/O or bus controller to all the fieldbusses supported by TwinCAT (Lightbus / Profibus DP / Interbus-S / CANopen / DeviceNet / ...)
  • Access to TwinCAT variables by address / by name / by generic ADS IndexGroup and IndexOffset
  • Optimal access to data from the OPC server on TwinCAT variables
  • Simulation mode (sinus, ramp, random) for variables
    (i.e. testing an OPC client/server communication without access to physical I/O)
  • Easy, one-time only configuration by XML

Features of the evaluation version

The evaluation version is a fully functional version with a 30 days time limitation. The OPC server then switches to its internal simulation mode. All the process values are then simulated, and there is no longer any access to the ADS devices.

The time limit in the evaluation version can be removed by purchasing a TwinCAT OPC software licence, and by the entry of a valid registration key.

Integration into the TwinCAT system

The OPC server creates the connection to the TwinCAT system as a gateway via ADS, and offers OPC clients the specified OPC-DA / AE interface.

System requirements

  • Microsoft Windows NT 4 / Windows 2000 / XP / CE (MIPS / ARM / X86)
  • TwinCAT v2.6 (or higher)

Please use the latest Service Packs.

What is included

The installation version includes

  • TwinCAT OPC server (DataAccess and Alarm & Events)
  • Documentation
  • OPC Test client (for local access to the OPC server)


Overview

TwinCAT OPC server: Properties

The following information applies to the OPC server running on a PC platform. This information is not relevant when running on a CE platform

OPC Server as EXE / DLL (out-of-process / in-process)

TwinCAT OPC V4.1 is available in the form of an "out-of-process" server (with EXE as the file extension) and as an "in-process" server (with DLL as the file extension).

ProgID
The OPC client requires the ProgID to startup communication with TwinCAT-OPC-Server.
For TwinCAT-OPC-Server V4.1 this ProgID is "BECKHOFF.TwinCATOpcServerDA".
The ProgID is identical for both types, the EXE or the DLL version.

Diagnose : Which type (EXE or DLL) is active ?

Start the TwinCAT-OPC-Configurator "Start - All Programs - TwinCAT System - TwinCAT OPC - TwinCAT OPC Configurator"

Select the tab "OPC Server settings". See current active type of "Server Mode" .

Activating the TwinCAT OPC server as an in-process server (DLL)

Select "Server Mode" "Inproc (DLL)" and press "Apply".

Result :
The TwinCAT OPC server now runs as a DLL in the process space of the respective OPC client. The TwinCAT OPC server is therefore not visible as an independent process in the task manager.

The main advantage of this version is seen when a number of OPC clients are working at the same time with TwinCAT OPC server. In that case, each OPC client is given its own OPC server for its "personal use". Each OPC client then has its own independently operating OPC channel to the TwinCAT devices. Most advantage will be noticed for write-requests via OPC-Server into ADS-device.

Activating the TwinCAT OPC server as an out-of-process server (EXE)

Select "Server Mode" "Out-of-Process (EXE)" and press "Apply".

Result :
The TwinCAT OPC server now operates as an EXE program, and each OPC client works with the single, shared instance of the OPC server.
In this version the TwinCAT OPC server is visible as an independent process in the task manager.

If a number of OPC clients are working at the same time with the TwinCAT OPC server, all the queries are handled by a single instance of the OPC server.
This single instance eliminates or minimize double requests of variables for one single ADS device.

DCOM:
1. We do not advise the use of DCOM connections.
2. If, however, a DCOM connection is essential, it is implemented with the type "Out-of-process" OPC server.


Network via TwinCAT ADS

The TwinCAT OPC server performs the communication with the TwinCAT components (PLC run-time systems, bus terminal controllers etc.) via TwinCAT ADS. Since these services are also available in the network, the TwinCAT OPC server can also communicate with TwinCAT components that exist in the network.

You will find the settings needed for ADS communication over a network in the ADS Reference.

Settings in the OPC server

An ADS communication partner is always specified by two parameters: These are what is known as the "AdsAmsNetId" (e.g. 1.2.3.4.5.6) and the "PortId" (e.g. 801 for the first PLC run-time system).

If ADS is to be used to exchange data with, for example, the first PLC run-time system on another PC, then the AdsAmsNetId of the target PC, and "801" as the PortId, must be entered in the OPC server under "Device settings".

Note

If possible, the option of using the "Network via client" protocol should be selected for performance reasons.


Network via client protocol

Visualisation systems sometimes offer their own protocol to bridge the network. An OPC client from the visualisation system supplier is also installed on the TwinCAT controller PC for this purpose.

The data flow proceeds as follows:

Performance advantage

The primary advantage of this configuration is that considerably less loading is placed on the network, since only the process values that have altered are exchanged there: the OPC server checks the whole process cyclically, but only passes the changes in the process on to the OPC client.


Network via DCOM

If you wish (or need) to allow data exchange between an OPC client and the TwinCAT OPC server over a network via DCOM, this DCOM access type must be configured beforehand.

The data flow is then as follows:

The following steps describe the necessary settings for the PC on which the TwinCAT OPC server is installed.
(Use step 1 for the PC on which the OPC client is installed.)

Requirement

It is assumed that all the PCs which are to participate via DCOM in an OPC client/server connection are already set up for network operation (i.e. they have configured network cards running the TCP/IP protocol)


TwinCAT OPC server: Licensing

The following information applies to the OPC server running on a PC platform. This information is not relevant when running on a CE platform.

Licensing

TwinCAT OPC can be used free of charge as an evaluation version without a registration key for 30 days. Registration is necessary for general use. A licence for use of the software is obtained with this registration.

Registration instructions

During the installation

When installing TwinCAT OPC, the registration key (e.g. K123-4567-8901) can be entered into the appropriate field in the setup program. This removes the time restrictions placed on the evaluation version.

If no key is available at the time of installation, please enter "DEMO" as the key. The time-limited (30 days) evaluation version of the TwinCAT OPC will be installed.

Subsequent registration of an evaluation version

Start the program TwinCAT OPC Configurator TcOpcCfg.exe and select tab "Registration".
Please enter a valid registration number into the appropriate field and pree "Register". The time limit is removed from the evaluation version.


TwinCAT OPC Server CE for MP370 : Installation und Konfiguration

TwinCAT OPC Server CE for MP370

TwinCAT OPC Server CE für MP370

This description shows the possibility of data coupling of a Siemens ProTool / WinCC-Flexibel on a MP370 Panel via Ethernet with a BECKHOFF TwinCAT device.

The TwinCAT-OPC-Server-CE (for MIPS) has to be installed on the Siemens-MP370 Panel with the aid of the Siemens-Software ProSave. ProTool / WinCC Flexibel works as OPC-Client and communicates on the MP370 local with the TwinCAT-OPC-Server-CE.
The OPC-Server collects the TwinCAT Variables via Ethernet with the Beckhoff Protocol ADS from the TwinCAT devices.

Installation and Configuration

Make sure that the MP730 is connected in a proper style with the development PC. For testing the network connection the program "ping.exe" can be executed via the prompt. Further information about ping.exe can be displayed via the command "ping /?" .

1. Installation of TwinCAT OPC Server for MP370 on the development PC with Integration in the Siemens-ProSave Environment

A prerequisite is proper installation of Simatic ProTool 6.0 SP2 on the projecting computer.

The TwinCAT OPC server MP370 is installed in < installation directory \ MP370 (MIPS) \ TwinCAT_OPC_CE_MP370.exe >.
Follow the installation instructions for installing the TwinCAT OPC Server CE in the ProSave environment on the PC.

2. Transfer of the TwinCAT OPC server for MP370 with Siemens ProSave to the MP370 device

Start ProSave via "Start - Simatic - ProSave" and configure your connection to Simatec MP370 according to your communication criteria.
In this example communication is via a serial connection:

To transfer the TwinCAT OPC Server CE to the Siemens MP370 please select the "Options" tab in ProSave. In the available options window you will find the entry "TwinCAT OPC Server CE for MP370". To enable data transfer between the projecting computer and Siemens MP370 first start the transfer mode on the Siemens MP370 via the "Transfer" button in the loader.
The installation can then be started by clicking on the "»" button in ProSave. The TwinCAT OPC Server CE is then installed on the MP370 in the directory \hard disk\simatic.

If no data exchange is established check your connection to the Siemens MP370.
Further assistance can be obtained from Siemens support.

3. Configuration of the OPC server

In the previous step you successfully installed the Beckhoff OPC Server CE on the Siemens MP370. Two further steps are required. These are to be executed once:

  • For communication between the TwinCAT OPC server on the MP370 and a TwinCAT device (e.g. a CX1000) these communication partners now have to be introduced to each other.
    This is done on the MP370 via the program TwinCAT AMS Remote Manager.
  • The TwinCAT OPC Server CE must be configured to know which data (from which PLC ..) are available for OPC.

TwinCAT AMS Remote Manager

An MIPS-compatible version of the program "TcAmsRemoteMgr.exe" the Simatic MP370 can be found in the OPC installation directory "\flash\simatic". On the TwinCAT device this dialog can be found either in the TwinCAT system service or, on the CX1000, for example, an associated x86 version in the directory "\Hard disk\System" .

Figure 3

Start the TwinCAT AMS Remote Manager both on the CX1000 and on the MP370 (see Fig. 3). New remote computers can be configured on the CX1000/MP370 by clicking on the "Add" button. Enter the associated data in the following window:

Name
Symbolic name of the "Remote Computer". This name can be chosen freely.

AMS Net Id
AMS Net ID of the "Remote Computer". The AMS Net ID can be found under "Local Computer" in the TwinCAT Remote Manager.

Address
IP address of the "Remote Computer".

Transport
Transport layer used for carrying AMS messages. The default setting for the transport layer is TCP/IP. Further variants may be supported depending on the hardware used.

In this example the following configuration is available:

TcAMs Remote Manager on the PC/CX:

  • PC/CX with AMSNetId : 192.6.100.142.1.1
  • The MP370 device with the AMSNetId 192.168.0.163.1.1 is entered on the PC/CX under "Remote Computer"

TcAMs Remote Manager on the MP370:

  • MP370 with AMSNetId : 192.168.0.163.1.1
  • The PC/CX with the AMSNetId 192.6.100.142.1.1 is entered on the MP370 under "Remote Computer"

TwinCAT OPC server: Namespace configuration

The so-called OPC namespace now has to be configured on the TwinCAT OPC Server CE. The configuration determines which variables are accessible for the OPC server on which ADS device and are therefore available for ProTool via OPC. The TwinCAT OPC Server CE is configured via the file "CurrentConfigOPC.xml". In addition, a <PLC project name>.tpy file must be available for each ADS device (e.g. each PLC).

In this example is an export file from a TwinCAT PLC project is copied to the MP370. To this end the entry "TwinCAT OPC Configuration Update for MP370" can be found in your Simatic ProSave. To copy your configuration to the MP370 the following steps are required:

1st step

  • Create a TwinCAT PLC project with the variables you want to use in ProTool. A <project name>.tpy file is generated during compilation.
    Copy the <PLC project name>.tpy file into the directory Simatic ProTool installation path\Common\PTProSave\Addon\TcOPCSvr_Config\mips.

    WARNING:
    The ProSave project file assumes that a "Plc1.tpy" file is available. If your PLC project has a different name,
    either rename the TPY file for transport to the MP370 (from <project name.tpy> to "Plc1.tpy")
    or adapt OPCconfig.pii by changing the entry (from "Plc1.tpy" to <project name.tpy>)

2nd step

  • In same directory an XML document CurrentConfigOPC.xml can be found. Open this file with a text editor (e.g. Notepad.exe) and adjust the file according to your configuration as follows:

XML Tag

Description

<Name>

Symbolic name of the OPC connection

<AdsNetId>

AMS Net ID of the device from which the data are received (e.g. from CX1000)

<AdsPort>

ADS port of the device from which the data are received (e.g. from CX1000-PLC : 801)

<AutoCfg>

7 : Import of all global variables from the TPY file
8 : Import of the identified variables from the TPY file. This version is highly recommended, since not all PLC variables are loaded, but only the variables required for OPC (thus saving memory)

<AutoCfgSymFile>

Path to the tpy file on the MP370 (default: OPC installation directory)

  • Save the changes in file CurrentConfigOPC.xml and copy the new configuration to the MP370 via Simatic ProSave.

Configuration example:

Configuration is complete, the TwinCAT OPC Server is configured on the MP370 and can exchange data with the configured ADS device.

4. OPC activation for ProTool

Copy the files and folders contained in directory ... \Beckhoff OPC CX1000 -- MP370\Installation Siemens\patch_regdat to the ProTool directory and start the file "_patch_ptreg_dat.bat". Confirm all four dialog boxes with OK.

Complete the file Protool.ini in the ProTool directory as follows:

[Device List ] / at the start of the file
ReInit=1

[OPC] / at the end of the file
ServerOnMP=0
DCOM/DeviceCOM=1
[Protocol Exclude List]
[Recent File List]

The [Protocol Exclude List] must be empty.
The [Recent File List] may contain entries.

Configuration is complete, the TwinCAT OPC Server is configured on the MP370 and can exchange data with the configured ADS device.

5. Updating the TwinCAT OPC Server CE for MP370

To install an update for the TwinCAT OPC Server CE for MP370 on the panel, copy the new "TcOpcSvrInprocServer.dll" file into the following folder: ...SIEMENS\Common\PTProSave\AddOn\TcOPCSrvCE\mips

Please repeat step 2 for transferring the changes to the panel.


TwinCAT OPC Server CE for MP370 : Installation und Konfiguration

TwinCAT OPC XML Server CE

Installation

This document describes how to install the TwinCAT OPC XML DA Server on BECKHOFF embedded PC Controller based on CE operating system like CX1000, CX1020, CX9000 or EthernetPanels.

Prerequisites

TwinCAT OPC-XML-DA-CE requires a BECKHOFF CE device like CX1000, CX1020, etc with large memory. The Microsoft IIS (Internet Information Server) web server is required.

Step1 : Installation on PC

Install TwinCAT supplement product "TwinCATOPCServerCE.exe" on your host PC.

License : During installation a license number will be checked. Note that OPC-CE products cost royalties per CPU.

With a correct license number the product will be installed into folder C:\TwinCAT\CE\OPC

This folder will contain a number of different CE-installation files :

  • TcOpcXmlSvrCe.I586.CAB : OPC Server XML DA (XML based) for X86 based CPUs (like CX1000)
  • TcOpcSvrCe_I586.cab : OPC Server DA (COM based) for X86 based CPUs (like CX1000)
  • TcOpcSvrCe_StrongARM.cab : OPC Server DA (COM based) for ARM based CPUs with OS PocketPC (like IPAQ)
  • TcOpcSvrCe_MIPS.cab : OPC Server DA (COM based) for MIPS based CPUs (like Siemens Panels)
  • MIPS_MP370\TwinCAT_OPC_CE_MP370.exe : Seperat installation for installation on Siemens panels with ProSave

Step 2 : Deploy installation to CE device

Deploy the file TcOpcXmlSvrCe.I586.CAB onto the CF card of the Beckhoff-CE device, this can be done

  • via shared folder (Public folder)
  • via FTP
  • via ActiveSync
  • via a CF adapter

Step 3 : Installation on CE device

The installation file "TcOpcXmlSvrCe.I586.CAB" is to be executed via regular double-click on it.

NOTE:

  • As target directory, the pre-selected (default) directory "\hard disk\www\TcOpcXmlDa" has to be confirmed with "OK"!
  • After installation of the component into the correct target folder "\hard disk\www\TcOpcXmlDa" the installation file TcOpcXmlSvrCe.I586.CAB gets removed automatically.

After confirmation with "OK", the installation into the correct target folder "\hard disk\www\TcOpcXmlDa" gets executed.

  • There is no need for a restart of the CE device.

Step 4 : Test

The URL of the OPC-XML-DA server on the CE system can be checked from host PC. Open the Internet explorer and enter the URL of the OPC Server XML DA on CE system like :
http://<ip-adress or name of CE device>/tcopcxmlda/tcopcxmlda.dll

Sample :
http://cx_0027e8/tcopcxmlda/tcopcxmlda.dll

The TcOpcXmlDa server will reply with a status page containing the product version :

HINT :
In case of problems (like receiving no HTML status data) please check if a proxy server is activated on your host PC.
After deactivating the proxy and reloading the URL the Opc XML DA server should reply with status info.


OPC XML DA PC Server : Configuration

TwinCAT OPC XML DA PC server: Configuration

Configuration

This chapter describes how to configure the OPC XML DA Server on BECKHOFF PC based systems.

Summary :

The OPC-XML DA server is configured with default xml-configuration file. Just activate once a checkbox in PLC-Control to download the symbol information to target device.

With TwinCAT 2.10 Build 1240 (or higher) there is no manual configuration required. Please refer to section "Zero configuration" on this page.

With previous TwinCAT versions please refer to section "Manual or specific configurations" on this page.

Zero configuration (requires TwinCAT 2.10 on host PC)

Details :

  • The OPC-XMLDA configuration file "...\wwwroot\TcOpcXmlDa\TcOpcXmlSvrCfg.xml" contains the list of ADS-devices which are available via OPC-XML-DA interface.
  • By default this list is pre-configured for one local PLC-runtime system (first PLC runtime-system on ADS-port 801)
  • By default the required symbol-information is linked to C:\TwinCAT\Boot\CurrentPlc_1.tpy

<?xml version="1.0" encoding="utf-8" standalone="no"?>
<TcOpcXmlSvrConfiguration>
<Namespace>
<Devices>

<Device>
<Name>PLC1</Name>
<AdsNetId>0.0.0.0.0.0</AdsNetId>
<AdsPort>801</AdsPort>
<AdsTimeout>2000</AdsTimeout>
<AdsTimeSuspend>20000</AdsTimeSuspend>
<AutoCfg>7</AutoCfg>
<!-- NOTE: CurrentPlc_1.tpy will be downloaded from PLC-Control -->
<AutoCfgSymFile>C:\TwinCAT\Boot\CurrentPlc_1.tpy</AutoCfgSymFile>
<Disabled>0</Disabled>
</Device>

</Devices>
</Namespace>
</TcOpcXmlSvrConfiguration>

With TwinCAT Version 2.10 Build 1240 the PLC Control allows to download the symbol file <plc-project-name>.TYP to the target TwinCAT machine. The TPY file contains information about all available PLC-variables in the PLC-project.
OPC-XML DA CE Server requires this TPY-information.

To download the current symbol information in a TPY file navigate in the PLC-Control to "Project-->Options-->TwinCAT" and check the option "Download Symbol description"

With each download of the PLC-code now also the <project-name>.TPY file is downloaded as "C:\TwinCAT\Boot\CurrentPlc_1.tpy" containing information about symbols of first run time system.
(Second runtime system would be "C:\TwinCAT\Boot\CurrentPlc_2.tpy" etc.)

Summary:

The OPC-XML DA server is configured with default xml-configuration file. Just activate the checkbox to download the symbol information within PLC-Control environment.

NOTE:
OPC-XML DA Server checks configuraton on startup. See notes to reload configuration today (without reboot)

Optional manual or specific configurations ?

If the default configuration is not available you have to configure the opc-xml-da configuration file "...\wwwroot\TcOpcXmlDa\TcOpcXmlSvrCfg.xml" manual.

  • If required the opc-xml configuration file can be done with TwinCAT OPC COnfigurator

Sample for OPC XML DA server accessing multiple ADS devices

<?xml version="1.0" encoding="utf-8" standalone="no"?>
<TcOpcXmlSvrConfiguration>
<Namespace>
<Devices>

<Device>
<Name>PLC1</Name>
<AdsNetId>0.0.0.0.0.0</AdsNetId>
<AdsPort>801</AdsPort>
<AdsTimeout>2000</AdsTimeout>
<AdsTimeSuspend>20000</AdsTimeSuspend>
<AutoCfg>7</AutoCfg>
<!-- NOTE: CurrentPlc_1.tpy will be downloaded from PLC-Control -->
<AutoCfgSymFile>C:\TwinCAT\Boot\CurrentPlc_1.tpy</AutoCfgSymFile>
<Disabled>0</Disabled>
</Device>

<Device>
<Name>PLC2</Name>
<AdsNetId>0.0.0.0.0.0</AdsNetId>
<AdsPort>811</AdsPort>
<AdsTimeout>2000</AdsTimeout>
<AdsTimeSuspend>20000</AdsTimeSuspend>
<AutoCfg>7</AutoCfg>
<!-- NOTE: CurrentPlc_2.tpy will be downloaded from PLC-Control -->
<AutoCfgSymFile>C:\TwinCAT\Boot\CurrentPlc_2.tpy</AutoCfgSymFile>
<Disabled>0</Disabled>
</Device>

</Devices>
</Namespace>
</TcOpcXmlSvrConfiguration>

NOTE:
OPC-XML DA Server checks configuraton on startup. Reconfiguration might require a new start today.


OPC XML DA CE Server : Installation

TwinCAT OPC XML Server PC

Install TwinCAT OPC XML DA on a PC (here: Windows XP)

This chapter describes the IIS configuration required for OPC XML DA for operating system XP. (Note : For other Windows-OS the configuration can differ in details).

Requirements :

The TwinCAT OPC XML DA server has to be installed on the PC. This chapter describes how to configure the Microsoft IIS.

Step 1: Create "Virtual Directory" in IIS (Internet Information Service)

  • Open "Internet Information Services" (under "Control Panel/Administrative Tools/").
  • Right click on "Default Web Site"
  • Select "New" and "Virtual Directory..."

Everybody is welcome, so just click next.

Please enter the alias "TcOpcXmlDa" and click "Next"

With "Browse..." you have to specify the folder which contains the TwinCAT OPC Xml DA Server. By default the folder should be like "C:\TwinCAT\OPC\Server XMLDA".

Select "Next" to proceed.

Check options "Read", "Run scripts" and "Execute" and click "Next".

Select "Finish" to finish the configuration of TwinCAT OPC XML DA Server.

Step 2 : Test

The URL of the OPC-XML-DA server on the PC system can be checked locally or from a remote PC: In both cases open the Internet explorer and enter the URL of the OPC Server XML DA on PC system like :
http://<ip-adress or name of PC device>/tcopcxmlda/tcopcxmlda.dll

Sample :
http://192.16.17.5/tcopcxmlda/tcopcxmlda.dll
or
http://localhost/tcopcxmlda/tcopcxmlda.dll

The TcOpcXmlDa server will reply with a status page containing the product version :

HINT :
In case of problems (like receiving no HTML status data) please check if a proxy server is activated on your host PC.
After deactivating the proxy and reloading the URL the Opc XML DA server should reply with status info.


OPC XML DA PC Server : Overview

TwinCAT OPC XML Server PC

Overview

Prerequisites

TwinCAT OPC-XML-DA requires a PC operating system (Windows 2000 / XP / XPE)
The Microsoft IIS (Internet Information Server) web server is required on that PC.